Bug 175817 - enhance port: multimedia/mediainfo
Summary: enhance port: multimedia/mediainfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 09:20 UTC by Oliver Lehmann
Modified: 2013-05-25 10:50 UTC (History)
1 user (show)

See Also:


Attachments
mediainfo.diff (1.26 KB, patch)
2013-02-04 09:20 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann freebsd_committer 2013-02-04 09:20:00 UTC
	install also the two mediainfo libraries as they are for example
	needed by PMS (Playstation Media Server)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-04 09:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-25 10:42:14 UTC
Author: sunpoet
Date: Sat May 25 09:42:06 2013
New Revision: 319041
URL: http://svnweb.freebsd.org/changeset/ports/319041

Log:
  - Build and install shared libraries
  - Bump PORTREVISION for package change
  - While I'm here, cleanup Makefile header
  
  PR:		ports/175817
  Submitted by:	oliver

Modified:
  head/multimedia/mediainfo/Makefile   (contents, props changed)

Modified: head/multimedia/mediainfo/Makefile
==============================================================================
--- head/multimedia/mediainfo/Makefile	Sat May 25 09:39:23 2013	(r319040)
+++ head/multimedia/mediainfo/Makefile	Sat May 25 09:42:06 2013	(r319041)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	mediainfo
-# Date created:		24 April 2008
-# Whom:			freebsd-ports@evilcode.net
-#
+# Created by: freebsd-ports@evilcode.net
 # $FreeBSD$
-#
 
 PORTNAME=	mediainfo
 PORTVERSION=	0.7.52
+PORTREVISION=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/binary/${PORTNAME}/${PORTVERSION}
 DISTNAME=	MediaInfo_CLI_${PORTVERSION}_GNU_FromSource
@@ -20,17 +17,26 @@ LICENSE_FILE=	${WRKSRC}/MediaInfo/Licens
 
 USE_AUTOTOOLS=	aclocal:env automake:env autoconf:env libtool:env
 USE_BZIP2=	yes
+USE_LDCONFIG=	yes
 WRKSRC=		${WRKDIR}/MediaInfo_CLI_GNU_FromSource
 
-PLIST_FILES=	bin/mediainfo
+PLIST_FILES=	bin/mediainfo \
+		lib/libmediainfo.so \
+		lib/libmediainfo.so.0 \
+		lib/libzen.so \
+		lib/libzen.so.0
 
 do-build:
 	@(cd ${WRKSRC}/ZenLib/Project/GNU/Library/ && ${SH} ./autogen)
 	@(cd ${WRKSRC}/MediaInfoLib/Project/GNU/Library/ && ${SH} ./autogen)
 	@(cd ${WRKSRC}/MediaInfo/Project/GNU/CLI/ && ${SH} ./autogen)
-	@(cd ${WRKSRC}/ && ${SH} ./CLI_Compile.sh --prefix=${PREFIX})
+	@(cd ${WRKSRC}/ && ${SH} ./CLI_Compile.sh --prefix=${PREFIX} --enable-shared)
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/MediaInfo/Project/GNU/CLI/mediainfo ${PREFIX}/bin/
+	${INSTALL_PROGRAM} ${WRKSRC}/MediaInfo/Project/GNU/CLI/.libs/mediainfo ${PREFIX}/bin/
+.for library in MediaInfo Zen
+	${INSTALL_LIB} ${WRKSRC}/${library}Lib/Project/GNU/Library/.libs/lib${library:L}.so.0 ${PREFIX}/lib/
+	${LN} -fs lib${library:L}.so.0 ${PREFIX}/lib/lib${library:L}.so
+.endfor
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-05-25 10:42:23 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!